/* Trigger button */

.search-toggle {
    background: none;
    border: none;
    cursor: pointer;
    padding: .5rem;
    color: #fff
}

.search-toggle:hover svg { fill: #555; }

.search-modal {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding-top: 10rem;
    z-index: 9999;
}

.search-modal.hidden { display: none }

.search-modal__content {
    background: #fff;
    width: 90%;
    max-width: 560px;
    border-radius: 8px;
    padding: 1.5rem 1.5rem 1.5rem;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    position: relative;
    font-size: 1.125rem;
    direction: ltr;
}

.search-close {
    position: absolute;
    top: .75rem;
    right: .75rem;
    background: none;
    border: none;
    font-size: 1.4rem;
    cursor: pointer;
}

.search-form { margin-bottom: 1rem }

.search-input {
    width: 100%;
    padding: .75rem 1rem;
    font-size: 1.8rem;
    border: 1px solid #ddd;
    border-radius: 4px;
}

.search-results {
    margin-top: 1.5rem;
    background: #fff;
    max-height: 50vh;
    overflow-y: auto;
}

.search-item {
    display: flex;
    gap: .75rem;
    margin-bottom: 1rem;
    padding-bottom: .75rem;
    border-bottom: 1px solid #eee;
    padding-top: 5px;
    padding-left: 5px;
}

.search-item:hover {
    background-color: #b4b0b0;
    border-radius: 5px;
}

.search-item:last-child { border: none }

.search-item .meta {
    flex: 1
}

.search-item .meta h4 {
    margin: 0 0 .25rem;
    font-size: 1.65rem;
}

.search-item .meta p {
    margin: 0;
    color: #555;
    font-size: 1.25rem;
}

.no-results {
    color: #343434;
    text-align: center;
    font-size: 1.5rem;
}